Name: librdmacm
Version: 1.0.17
Release: 5.mlnx1.5.5r2%{?dist}
Summary: Userspace RDMA Connection Manager
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/rdmacm/%{name}-1.0.15-1.1.gfb8796a.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1
Patch0: librdmacm-1.0.17-3-lazy-initialization.patch
Patch1: librdmacm-cve-2012-4516.patch

%description
librdmacm provides a userspace RDMA Communication Managment API.

%package devel
Summary: Development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} libibverbs-devel%{?_isa}

%description devel
Development files for the librdmacm library.

%package utils
Summary: Examples for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description utils
Example test programs for the librdmacm library.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/librdmacm*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon May 25 2015 Chien Yen <chien.yen@oracle.com> - 1.0.17-5.mlnx1.5.5r2
- CVE-2012-4516

* Fri May 23 2014 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.17-3.mlnx1.5.5r2
- Update following changes from OL5 to OL6 tag
- Add patch to support lazy initialization
- (Original work under Orabug 18409248)

* Mon Apr 25 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.0.17-2.mlnx1.5.5r2.el6 
- Update specfile as per Mellanox

* Mon Feb 11 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.17-1.mlnx1.5.5r2.el6 
- replace src tall with the one from mellanox version OFED-IOV-1.5.5-2.0.0080

* Sun Oct 14 2012 Doug Ledford <dledford@redhat.com> - 1.0.17-0.git4b5c1aa
- Pre-release version of 1.0.17
- Resolves a CVE vulnerability between librdmacm and ibacm
- Fixes various minor bugs in sample programs
- Resolves: bz866221, bz816074

* Tue Feb 28 2012 Doug Ledford <dledford@redhat.com> - 1.0.15-2
- Build against new ib_acm service
- Related: bz700285

* Fri Jan 20 2012 Doug Ledford <dledford@redhat.com> - 1.0.15-1
- Update to latest upstream release (adds FDR support and fixes 696019 the
  upstream way)
- Include fixes in git not yet in a release
- Related: bz750609
- Resolves: bz700289

* Tue Sep 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.14.1-4
- Fix for the fix to bug 696019

* Mon Aug 01 2011 Doug Ledford <dledford@redhat.com> - 1.0.14.1-3
- Oops, change how we set -fno-strict-aliasing to get FORTIFY_SOURCE back
- Related: bz725016

* Mon Aug 01 2011 Doug Ledford <dledford@redhat.com> - 1.0.14.1-2
- Add -fno-strict-aliasing to CFLAGS due to rpmdiff failure
- Related: bz725016

* Fri Jul 22 2011 Doug Ledford <dledford@redhat.com> - 1.0.14.1-1
- Update to latest upstream version
- Fix segfault in rping usage
- Related: bz725016, bz696019

* Mon Jan 11 2010 Doug Ledford <dledford@redhat.com> - 1.0.10-2
- ExcludeArch s390(x) as the hardware doesn't exist there

* Thu Dec 03 2009 Doug Ledford <dledford@redhat.com> - 1.0.10-1
- Update to latest upstream release
- Change Requires on -devel package (bz533937)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar 29 2008 Roland Dreier <rolandd@cisco.com> - 1.0.7-1
- New upstream release

* Fri Feb 22 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-2
- Spec file cleanups from Fedora review: add BuildRequires for
  libibverbs, and move the static library to -static.

* Fri Feb 15 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-1
- Initial Fedora spec file
